M_skill = {}

function M_skill:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_skill:init()
	self.datas = {}
	self.datas[1001] = {ID = 1001, hero_id = 1001, skill_leve = 1, bullet_num = 1, bullet_radius = 2, attack_distance = 10, skill_des = "扔出1把旋转大刀"}
	self.datas[1002] = {ID = 1002, hero_id = 1001, skill_leve = 2, bullet_num = 2, bullet_radius = 2, attack_distance = 10, skill_des = "扔出2把旋转大刀"}
	self.datas[1003] = {ID = 1003, hero_id = 1001, skill_leve = 3, bullet_num = 4, bullet_radius = 2, attack_distance = 10, skill_des = "扔出4把旋转大刀"}
	self.datas[1004] = {ID = 1004, hero_id = 1001, skill_leve = 4, bullet_num = 8, bullet_radius = 2, attack_distance = 10, skill_des = "扔出8把旋转大刀"}
end

M_skill:init()
